Package org.apache.groovy.ginq.provider.collection.runtime

# Class ValueBound<U extends Comparable<? super U>>

java.lang.Object
org.apache.groovy.ginq.provider.collection.runtime.ValueBound<U>

All Implemented Interfaces:
  `Serializable`

public class ValueBound<U extends Comparable<? super U>> extends Object
Represents value bounds of window frame

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueBound(U lower, U upper)`
  Construct a new ValueBound instance with lower and upper frame bounds

- ## Method Summary

  Modifier and Type
  Method
  Description
  `U`
  `getLower()`
  Returns the lower frame bound
  `U`
  `getUpper()`
  Returns the upper frame bound

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueBound

    public ValueBound(U lower, U upper)
    Construct a new ValueBound instance with lower and upper frame bounds
    Parameters:
      `lower` - the lower frame bound
      `upper` - the upper frame bound
    Since:
      4.0.0

- ## Method Details

  - ### getLower

    public U getLower()
    Returns the lower frame bound
    Returns:
      the lower frame bound
    Since:
      4.0.0

  - ### getUpper

    public U getUpper()
    Returns the upper frame bound
    Returns:
      the upper frame bound
    Since:
      4.0.0